#include <iostream>
using namespace std;
int n,m,t[100001];
int main()
{
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        cin>>t[i];
    }
    int suma=0;
    int a,b;
    for(int i=0;i<m;i++)
    {
        cin>>a>>b;
        if(t[a]+t[b]>=0)
            suma+=t[a]+t[b];
        else suma-=t[a]+t[b];
    }
    cout<<suma;
}